{% block element_ext_slider %}

 <style>
      .swiper {
      width: 100%;
      padding-top: 50px;
      padding-bottom: 50px;
    }

    .swiper-slide {
      background-position: center;
      background-size: cover;
      width: 450px;
      height: 100%;
    }

    .swiper-slide .card {
      display: block;
      width: 100%;
    }
  </style>

    {% if not sliderConfig %}
        {% set sliderConfig = element.fieldConfig.elements %}
    {% endif %}

    {% if element.data.products.elements %}
        <div class="cms-element-{{ element.type }}">
            {% block element_ext_slider_alignment %}
                {% block element_ext_slider_slider %}
                    <div
                        class="base-slider ext-slider"
                        data-ext-slider="true"
                        data-ext-slider-options="{{ ExtSliderOptions|json_encode }}">

                        {% block element_ext_slider_title %}
                            {% if sliderConfig.title.value %}
                                <div class="cms-element-title">
                                    
                                    <p class="cms-element-title-paragraph">{{ sliderConfig.title.value }}</p>
                                </div>
                            {% endif %}
                        {% endblock %}
                        
                    </div>
                {% endblock %}
            {% endblock %}
        </div>

        {% set elementId = "swiper-" ~ element.id %}
        
        <div class="swiper myswiper" id="{{ elementId }}" style="width: 100%;">
            <!-- Additional required wrapper -->
            <div class="swiper-wrapper">
                <!-- Slides -->
                {% for product in element.data.products.elements %}
                    {% block element_ext_slider_inner_item %}
                        <div class="swiper-slide">
                            {% sw_include '@Storefront/storefront/component/product/card/box.html.twig' with {
                                'layout': sliderConfig.boxLayout.value,
                                'displayMode': sliderConfig.displayMode.value
                            } %}
                        </div>
                    {% endblock %}
                {% endfor %}
            </div>
            <!-- If we need navigation buttons -->
            <div class="swiper-button-prev"></div>
            <div class="swiper-button-next"></div>
        </div>

        <script>
            document.addEventListener("DOMContentLoaded", function() {
                var slidesPerView = '{{ sliderConfig.effect.value }}' === 'fade' ? 1 : {{ sliderConfig.slidesPerView.value }};
                
                var swiper = new Swiper("#{{ elementId }}", {
                    slidesPerView: slidesPerView,
                    loop: {{ sliderConfig.loop.value ? 'true' : 'false' }},
                    effect: '{{ sliderConfig.effect.value }}',
                    pagination: {
                        el: "#{{ elementId }} .swiper-pagination"
                    },
                    navigation: {
                        nextEl: "#{{ elementId }} .swiper-button-next",
                        prevEl: "#{{ elementId }} .swiper-button-prev"
                    },
                    autoplay: {{ sliderConfig.autoplay.value ? '{delay: ' ~ sliderConfig.autoplayDelay.value ~ '}' : 'false' }}
                });
            });
        </script>
    {% endif %}
{% endblock %}
